cancel
Showing results for 
Search instead for 
Did you mean: 

SYMCnbclt pkg installation is failing

I'm attempting to install Netbackup 7.7.3 to my master server but keep running into tthe following error while attempting to install the SYMCnbclt package:  Failed to install SYMCnbclt.pkg

 cp to client [1048]: pkgadd not found [No such file or directory]

error: Detected a failure running cp to client Solaris Solaris 10/

I've checked the permissions on both /tmp and /var/tmp and they are wide open.  The pkgadd command is on the system and works as advertised (as well as pkginfo and pkgrm).  The output from the job isn't of much help.  Can someone please assit?

Thanks

 

 

 

 

 

Tags (2)
6 Replies

Re: SYMCnbclt pkg installation is failing

Hi @goose325 

I hope the failure is part of installing the master server and you are not attempting to install a client bundle on top of a running master server (which includes the client package). 

So assuming the above is true - have you seen this article https://www.veritas.com/content/support/en_US/article.100034255 - given your comments on the permissions on /tmp and /var/tmp I assume you may have. 

What is required to understand the problem is the installation logs (each package should have its own log and there will be a - the location of which should be displayed to the terminal during the installation (usually /tmp/install_trace.nnnnn and\or /tmp/install_SYMCnbclt_trace.nnnnn).

See if this helps you understand what is causing the failure and if you still need help, reply with these installation logs attached and the output from the terminal session you ran the install from.

Good luck
David

Re: SYMCnbclt pkg installation is failing

@goose325 

Are you trying to install Solaris client software on already installed/running Solaris master server?
No need to do this. Solaris Client binaries is already installed along with Server sofware.

 

Re: SYMCnbclt pkg installation is failing

I am attempting to install the master server using an ansible playbook.  The first two packages are installing correctly and there are install logs available from the SYMCnetbp and SYMCpbx packages indicating that they have installed correctly.  After the pbx install the SYMCnbclt package tries to install but fails with the error messages mentioned above.  Due to the nature of the servers I'm unable to upload install logs.

Re: SYMCnbclt pkg installation is failing

HI @goose325 

I think you may be on your own here - there are some ansible playbooks about on github, although most of these are around client deployments. 

I question why you might want to use ansible for the master server - it shouldn't be something you install that frequently that using the native installer needs to be replaced (I'm sure you have your reasons - but for the time spent trying to make it work, you could probably have installed the master server 10x over).

Finally - why are you installing such an old version of NetBackup - 7.7.3 has reached end of life (and is now on extended support only). 

Cheers
David

Re: SYMCnbclt pkg installation is failing

I've only found client deployments on GitHub as well.  It doesn't appear as if very many people are trying to use it to deploy the master server or media servers.  I'm doing it because i'm assigned to an automation project and, you are correct, I could have deployed NetBackup at least 20 times manually in the time that I've spent trying to make it work with Ansible.  

Re: SYMCnbclt pkg installation is failing

I know it doesn't help your immediate problem - but that sounds like you need to have a chat with your manager/team leader about this, automation is great but IMHO only useful for tasks that are repeated (which a master server installation typically is not). 

That said, once you have the environment upand running with the media servers and clients installed, vxupdate is the way to go to upgrade these in the future - it is automated, can be scheduled to suit. You still have to perform the initial instalation though. You will need to get the master to 8.1.2 (from memory) to support vxupdate. Clients from 7.7.3 can be upgraded, I'm not 100% sure about the minimum media servers version supported but certainly it fully supports upgrading recent 8.2+ versions.

Cheers
David